Device Not Installed in SDK 2.4

cancel
Showing results for 
Search instead for 
Did you mean: 

Device Not Installed in SDK 2.4

263 Views
jeremyanderson
Contributor III

I've just migrated to the newest MCUXpresso IDE 10.2 and did a drag drop install of the 2.4 SDK.  When I look at the SDK details I see the note under Devices MK66F18 (not installed) 1.0.0.  This is also the case for MK65F18.  I'd just ignore it, but I'm running into a hard fault that I cannot seem to resolve.  Perhaps another question is in order for that.  Any knowledge on this out there?

0 Kudos
2 Replies

45 Views
danielholala
Contributor IV

I'm migrating from LPC1769 to LPC55S28 so I had the pleasure to use the SDK facility for the first time.

You are reporting a "not installed" message in SDK Details. I also saw this message in SDK Details, see screenshot:

danielholala_0-1613155547903.png

In my case, the "not installed" message was caused by having two SDKs installed with both SDKs containing the same part support.

The excellent documentation explains this message, see "MCUXpresso IDE User Guide Rev. 11.3.0", page 37, Section 4.2.8 "Important notes for SDK Users":

"...If both SDKs are installed into the IDE, both sets of examples and
board drivers will be available, but the IDE will select the most up to date version of part support
specified within these SDKs."

I "uninstalled" the other SDK and now the part support is taken from this SDK. 

0 Kudos

96 Views
Alice_Yang
NXP TechSupport
NXP TechSupport

Hello ,

Could you please take a screenshot about the information you mentioned.

Also please tell me which chip or board of your SDK package , and also tell me your test board,

thanks.

BR

Alice

0 Kudos